## bootstrap-vz 0.9.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/bootstrap-vz.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/bootstrap-vz.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/bootstrap-vz"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/bootstrap-vz"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
bootstrap-vz (0.9.0-1) unstable; urgency=low

  [ Marcin Kulisz (kuLa) ]
  * Initial release (Closes: #693198)

  [ Balint Reczey ]
  * Suggest kpartx, too
  * Let Debhelper's auto install call setup.py
  * Let Debhelper build the package
  * Install missing assets
  * Override lintian warnings about not executable scripts
  * Correct volume size calculation to fix broken volume partitioning
  * Suggest euca2ools

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Tue, 05 Aug 2014 21:47:49 +0100

=== debian/control ===
Source: bootstrap-vz
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <cloud-packages@lists.alioth.debian.org>
Uploaders: Marcin Kulisz (kuLa) <debian@kulisz.net>
Build-Depends: debhelper (>= 9), python-all, python, python-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Homepage: https://github.com/andsens/bootstrap-vz
Vcs-Git: git://anonscm.debian.org/cloud/bootstrap-vz.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=cloud/bootstrap-vz.git;a=summary

Package: bootstrap-vz
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-docopt,
 python-boto, python-jsonschema, python-termcolor, debootstrap, python-fysom
Recommends: qemu-utils
Suggests: virtualbox-guest-additions-iso, kpartx, euca2ools
Description: Software for creating Debian images for use in public or private clouds
 It's a software for creating Debian images to run on public or private clouds
 (Amazon, Google, OpenStack, Eucaliptus, etc).
 It's using bootstraping as a method for creating images. Images created by this
 tool are fully operational Debian Images for Cloud.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with=python2

## bootstrap-vz 0.9.9

=== debian/changelog ===
bootstrap-vz (0.9.9-2) unstable; urgency=medium

  * Removing not used files from binary package Closes: #804642
  * Fixing vbox additions iso path

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Wed, 11 Nov 2015 21:08:38 +0000

bootstrap-vz (0.9.9-1) unstable; urgency=medium

  * New upstream (0.9.9) with lots of changes like using yaml instead of json
    for manifests, added support for enhanced network instances, extlinux now
    works with GPT on HVM instances and many more; more details in upstream
    changelog (/usr/share/doc/bootstrap-vz/changelog.gz)
    (Closes: #788924, #788924)
  * Removing all patches which has been applied/fixed upstream
  * Creating additionnal and updating man pages for the new upstream
  * Adopting DEP14 into packaging process (more in the README.source)

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sun, 18 Oct 2015 17:39:06 +0100

bootstrap-vz (0.9.0-2) unstable; urgency=low

  [ Marcin Kulisz ]
  * Added description when debian tags should be applied
  * Added patches against upstream fixing partition sizes, dhcp in sid and
    Jessie and fixing dependency for i386 kernel package name
  * Added patch fixing virtualbox guest additions paths
  * Bumping up Standards-Version to 3.9.6

  [ Tiago Ilieve ]
  * Add a `.gitignore` file to the `debian/` directory, so the files generated
    during build doesn't get committed by accident
  * d/control: Update `Build-Depends`, add `dh-python` and remove the
    redundant `python` entry
  * d/control: added Tiago Ilieve <tiago.myhro@gmail.com> to the uploaders
  * d/control: Update `Depends`, remove `${shlibs:Depends}` to avoid a warning
    during build
  * d/rules: Override `dh_auto_clean` to remove the `*.egg-info` directory,
    which was preventing `debuild` from running more than one time

 -- Tiago Ilieve <tiago.myhro@gmail.com>  Wed, 13 May 2015 20:26:43 -0300

=== debian/control ===
Source: bootstrap-vz
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <cloud-packages@lists.alioth.debian.org>
Uploaders: Marcin Kulisz (kuLa) <debian@kulisz.net>, Tiago Ilieve <tiago.myhro@gmail.com>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
Homepage: https://github.com/andsens/bootstrap-vz
Vcs-Git: git://anonscm.debian.org/cloud/bootstrap-vz.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=cloud/bootstrap-vz.git;a=summary

Package: bootstrap-vz
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-docopt, python-boto,
 python-jsonschema, python-termcolor, debootstrap, python-fysom, python2-pyro4
Recommends: qemu-utils
Suggests: virtualbox-guest-additions-iso, kpartx, euca2ools, zerofree
Description: Software for creating Debian images for use in public or private clouds
 It's a software for creating Debian images to run on public or private clouds
 (Amazon, Google, OpenStack, Eucaliptus, etc).
 It's using bootstraping as a method for creating images. Images created by this
 tool are fully operational Debian Images for Cloud.

=== debian/rules ===
--- 
+++ 
@@ -3,3 +3,8 @@
 
 %:
 	dh $@ --with=python2
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf build/
+	rm -rf *.egg-info/

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bootstrap-vz-$1\.tar\.gz/ \
  https://github.com/andsens/bootstrap-vz/tags .*/v?(\d\S*)\.tar\.gz

## bootstrap-vz 0.9.10+20170110git

=== debian/changelog ===
bootstrap-vz (0.9.10+20170110git-1) unstable; urgency=medium

  * New upstream release with tags for AMIs from manifests and fixing enhanced
    networking drivers compilation
  * Added patch for tagging AWS AMI snapshots
  * Applying patches porting EC2 provider and launch plugin to boto3
  * Added git into recommends for ec2 provider, needed for ENA dirvers

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Sun, 22 Jan 2017 19:01:27 +0000

bootstrap-vz (0.9.10+20160928git-1) unstable; urgency=medium

  [ Tiago Ilieve ]
  * New upstream release.
  * Add 'bootstrap-vz-doc' package with Sphinx docs:
    - Add '0001-remove-taskoverview-from-docs.patch' to prevent the resulting
    HTML pages from fetching external JS files, fixing litian's
    'privacy-breach-generic' complaint.
    - Add '0002-remove-github-links-from-docs.patch' as the generation of
    links to source code on GitHub isn't possible because they depend on the
    same commit hashes from the upstream repository.
    - Register its documents with 'doc-base'.
    - Remove 'bootstrap-vz.3' man page generated from the same documentation
      source.
  * Add '0003-move-pyro4-dependency.patch' to fix the missing dependency of
    Pyro4.
  * Add support for checking signed upstream tarballs:
    - Add Anders Ingemann (0D800D0D) and my (EF93257A) GPG keys to
    'debian/upstream/signing-key.asc'.
    - debian/watch: add 'pgpsigurlmangle' option.
    - Remove 'debian-watch-may-check-gpg-signature' lintian override.
  * debian/control:
    - Add 'bootstrap-vz-doc' as 'bootstrap-vz' suggested package.
    - Add 'parted' as suggested package, as sometimes 'kpartx' isn't enough and
    an error is raised asking for installing 'parted' as well.
    - Add 'python-sphinx' to Build-Depends.
    - Add 'wget' to 'Suggests', as it is used by some providers and plugins.
    - Bump Standards-Version to 3.9.7 (no changes).
    - Remove hardcoded Python dependencies, as there's already
     a '${python:Depends}' entry.
    - Shorten short-description to fit in less than 60 chars, needed, for
    instance, to append '(Docs)' to the description of 'bootstrap-vz-doc'.
  * debian/copyright:
    - Add copyright for Amazon and myself.
    - Change 'debian/*' license from GPL-2+ to Apache-2.0.
    - Bump years for Anders Ingemann and Marcin Kulisz.
    - Move license texts to the bottom of the file.
  * debian/rules:
    - Add 'override_dh_auto_build' to generate the HTML documentation during
    build time with Sphinx.
    - Add 'override_dh_compress' to prevent the HTML documentation from being
    compressed, which may change some filenames rendering its links broken.
    package.
    - Add 'override_dh_installchangelogs', as it was grabbing the wrong upstream
    changelog file. (Closes: #820607)
    - Build with Pybuild using a private application directory.
    - Extend 'override_dh_auto_clean' to remove unneeded files after
    generating the documentation.
  * Drop patches that were integrated upstream:
    - '0001-Excluding-docs-from-binary-package.patch'
    - '0002-Vbox-guest-additions-iso-path-fix.patch'
  * Prepend 'bootstrap-vz.' to 'links' and 'install' file:
    - Add links for entry point scripts.
    - Update 'assets' folder install destination.
  * Update Vcs URLs to the same on the Alioth web page.
  * wrap-and-sort the 'debian/' directory.

  [ Marcin Kulisz ]
  * Added mising build dep
  * Bumping up standards version to 3.9.8
  * d/copyright: switching from http to https
  * Fetching new upstream from upstream git
    (e5c96195bbf2c12aa5be597056932702a544d5be)
  * Redoing Tiagos patches (they stopped apply after importing new upstream)
  * Patch for sending console output from EC2 instances to the console
    (working partly for Jessie and fully for Stretch)
  * kpartx moved from Suggest to Recommends (gpt images need it)
  * New upstream
    - Added ssh keys handling when using ec2_launch plugin

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Thu, 06 Oct 2016 18:17:22 +0100

=== debian/control ===
Source: bootstrap-vz
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <cloud-packages@lists.alioth.debian.org>
Uploaders: Marcin Kulisz (kuLa) <debian@kulisz.net>,
           Tiago Ilieve <tiago.myhro@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme
Standards-Version: 3.9.8
X-Python-Version: >= 2.7
Homepage: https://github.com/andsens/bootstrap-vz
Vcs-Git: https://anonscm.debian.org/git/cloud/bootstrap-vz.git
Vcs-Browser: https://anonscm.debian.org/git/cloud/bootstrap-vz.git

Package: bootstrap-vz
Architecture: all
Depends: debootstrap,
         ${misc:Depends},
         ${python:Depends}
Recommends: qemu-utils,
            kpartx,
            git
Suggests: bootstrap-vz-doc,
          euca2ools,
          parted,
          virtualbox-guest-additions-iso,
          wget,
          zerofree
Description: tool for creating Debian images for cloud platforms (CLI)
 It's a software for creating Debian images to run on public or private clouds
 (Amazon, Google, OpenStack, Eucaliptus, etc).
 It's using bootstraping as a method for creating images. Images created by this
 tool are fully operational Debian Images for Cloud.

Package: bootstrap-vz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: tool for creating Debian images for cloud platforms (Docs)
 It's a software for creating Debian images to run on public or private clouds
 (Amazon, Google, OpenStack, Eucaliptus, etc).
 It's using bootstraping as a method for creating images. Images created by this
 tool are fully operational Debian Images for Cloud.
 .
 This package contains the HTML documentation.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/archive\/(.*)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/andsens/bootstrap-vz/releases .*/v?(\d.*)\.tar\.gz

## bootstrap-vz 0.9.11%2B20180121git

=== debian/changelog ===
bootstrap-vz (0.9.11+20180121git-1) unstable; urgency=medium

  [ Marcin Kulisz ]
  * Added binary suggests for config mgmt tools (ex. puppet, ansible, salt,
    chef)
  * Moving repo from alioth to salsa (Vcs-*) and changing maintainer email to
    debian-cloud@l.d.o
  * Added binary dependency on e2fsprogs (Closes: #887240)
  * New upstream release 0.9.11 plus additional commits between (inclusively)
    8932f22 and 25ec499:
    - Update Google Compute Engine package and repository structure. GCE
      packages are now Debian policy compliant.
    - GCE: buster builds.
    - GCE: enabling ipv6
    - Systemd integration
    - KVM: provider enhancements
    - EC2: new intel ixgbevf driver version and installing enhanced networking
      kernel driver using DKMS fails in stretch
    - EC2: Move cloud-init mount tuning to cloud-init plugin
    - Added security repository for fetching packages.
    - Various bug fixes
  * Bumping compat lvl to 11 and std ver to 4.1.3
  * Fixing doc-base paths

 -- Marcin Kulisz <debian@kulisz.net>  Fri, 16 Feb 2018 15:42:18 +0000

bootstrap-vz (0.9.11+20170811git-1) unstable; urgency=medium

  [ Marcin Kulisz (kuLa) ]
  * New upstream release 0.9.11 plus additional commits including (not
    exclusively):
    - Porting EC2 provider to boto3
    - EC2 provider: added ENA driver
    - ec2_launch plugin porting to boto3
    - Adding boto3 to setup.py and minor lint fixes
    - Small update to Stretch EC2 manifest
    - EC2 provider: fixing snapshot tagging
    - Updated docs
    - Added buster to GCE
    - Create a plugin for expand_root to replace the internal common task.
      Switch GCE to use this plugin.
    - Enable SCSI block multiqueue for GCE Stretch images.
    - Add LVM as a disk backend and qcow2 as a disk backend for KVM
    - Pass arguments for shell command as elements in a list.
  * Removing patches applied upstream
  * Redone 0005-EC2-provider-Adding-console-as-output-device-for-gru.patch
  * Bumping up Standards Version to 4.0.0
  * Removing upstream signatures as those are not used on git commits and
    proper upstream releases are hard to come by, thus building out of git
    tree.
  * Added fdisk dependency to the bootstrap-vz binary package (Closes: 872111)

 -- Marcin Kulisz (kuLa) <debian@kulisz.net>  Fri, 18 Aug 2017 21:44:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: bootstrap-vz
 Section: admin
 Priority: optional
-Maintainer: Debian Cloud Team <cloud-packages@lists.alioth.debian.org>
-Uploaders: Marcin Kulisz (kuLa) <debian@kulisz.net>,
+Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
+Uploaders: Marcin Kulisz <debian@kulisz.net>,
            Tiago Ilieve <tiago.myhro@gmail.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all,
                python-setuptools,
                python-sphinx,
                python-sphinx-rtd-theme
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.7
 Homepage: https://github.com/andsens/bootstrap-vz
-Vcs-Git: https://anonscm.debian.org/git/cloud/bootstrap-vz.git
-Vcs-Browser: https://anonscm.debian.org/git/cloud/bootstrap-vz.git
+Vcs-Git: https://salsa.debian.org/cloud-team/bootstrap-vz.git
+Vcs-Browser: https://salsa.debian.org/cloud-team/bootstrap-vz
 
 Package: bootstrap-vz
 Architecture: all
 Depends: debootstrap,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
+         fdisk | util-linux (<< 2.29.2-3~),
+         e2fsprogs
 Recommends: qemu-utils,
             kpartx,
             git
@@ -29,12 +31,18 @@
           parted,
           virtualbox-guest-additions-iso,
           wget,
-          zerofree
+          zerofree,
+          puppet (>= 4.8.2-5),
+          ansible,
+          chef,
+          salt-minion
 Description: tool for creating Debian images for cloud platforms (CLI)
  It's a software for creating Debian images to run on public or private clouds
  (Amazon, Google, OpenStack, Eucaliptus, etc).
  It's using bootstraping as a method for creating images. Images created by this
  tool are fully operational Debian Images for Cloud.
+ .
+ Provisioning may be also be done with Salt, Puppet, Chef and Ansible.
 
 Package: bootstrap-vz-doc
 Section: doc

=== debian/watch ===
version=3
#opts=pgpsigurlmangle=s/archive\/(.*)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
  https://github.com/andsens/bootstrap-vz/releases .*/v?(\d.*)\.tar\.gz

## bootstrap-vz 0.9.11+20170811git

=== debian/control ===
Source: bootstrap-vz
Section: admin
Priority: optional
Maintainer: Debian Cloud Team <cloud-packages@lists.alioth.debian.org>
Uploaders: Marcin Kulisz (kuLa) <debian@kulisz.net>,
           Tiago Ilieve <tiago.myhro@gmail.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme
Standards-Version: 4.0.0
X-Python-Version: >= 2.7
Homepage: https://github.com/andsens/bootstrap-vz
Vcs-Git: https://anonscm.debian.org/git/cloud/bootstrap-vz.git
Vcs-Browser: https://anonscm.debian.org/git/cloud/bootstrap-vz.git

Package: bootstrap-vz
Architecture: all
Depends: debootstrap,
         ${misc:Depends},
         ${python:Depends},
         fdisk | util-linux (<< 2.29.2-3~)
Recommends: qemu-utils,
            kpartx,
            git
Suggests: bootstrap-vz-doc,
          euca2ools,
          parted,
          virtualbox-guest-additions-iso,
          wget,
          zerofree
Description: tool for creating Debian images for cloud platforms (CLI)
 It's a software for creating Debian images to run on public or private clouds
 (Amazon, Google, OpenStack, Eucaliptus, etc).
 It's using bootstraping as a method for creating images. Images created by this
 tool are fully operational Debian Images for Cloud.

Package: bootstrap-vz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: tool for creating Debian images for cloud platforms (Docs)
 It's a software for creating Debian images to run on public or private clouds
 (Amazon, Google, OpenStack, Eucaliptus, etc).
 It's using bootstraping as a method for creating images. Images created by this
 tool are fully operational Debian Images for Cloud.
 .
 This package contains the HTML documentation.

## bootstrap-vz 0.9.11+20180121git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_DESTDIR=debian/bootstrap-vz
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/bootstrap-vz/ --install-scripts=/usr/share/bootstrap-vz/

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html docs/ build/html


override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/
	rm -rf *.egg-info/
	# Remove files cached by Sphinx
	find docs/plugins/ docs/providers/ docs/testing/system_test_providers/ -type f | egrep -v '(gitignore|index)' | xargs rm -f


override_dh_compress:
	# Files from the HTML documentation should not be compressed, as they may
	# render in broken links
	dh_compress --exclude "bootstrap-vz-doc/html/"


override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst
